import { ElementRef, OnInit, OnDestroy, Renderer } from '@angular/core';
import { Http } from '@angular/http';
import { Subject } from 'rxjs/Subject';
import 'rxjs/add/observable/empty';
import 'rxjs/add/observable/timer';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/filter';
import 'rxjs/add/operator/distinctUntilChanged';
import 'rxjs/add/operator/debounce';
import 'rxjs/add/operator/do';
import 'rxjs/add/operator/retry';
import 'rxjs/add/operator/catch';
import 'rxjs/add/operator/switchMap';
export declare const SourceDebounceTime: number;
export declare class SrcDirective implements OnInit, OnDestroy {
    host: any;
    src: string;
    /**
     * Set the amount of time in ms to wait before processing changes to the src
     * input.
     *
     * This can prevent unnecessary http requests. The default is 300ms.
     */
    debounceTime: any;
    sourceChanged: Subject<string>;
    private _debounceTime;
    private _subscription;
    private _firstRequest;
    private _src;
    private _element;
    private _http;
    private _renderer;
    private _sourceDebounceTime;
    constructor(_element: ElementRef, _http: Http, _renderer: Renderer, _sourceDebounceTime: number);
    ngOnInit(): any;
    ngOnDestroy(): any;
    private _handleSourceChanges();
    private _emptySources(source);
    private _addExtensionMatches(source);
    private _nonFiles(req);
    private _fetchSrc(req);
}
